--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_find_002_neg.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_find_002_neg.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -50,11 +54,11 @@
 
 	log_must create_files $TESTDIR
 
-	initfiles=$($LS -R $INI_DIR/*)
+	initfiles=$(ls -R $INI_DIR/*)
 	typeset -i i=0
 	while (( i < NUM_FILE )); do
 		f=$(getitem $i $initfiles)
-		usr_exec $RUNAT $f $RM attribute*
+		usr_exec runat $f rm attribute*
 		(( i += 1 ))
 	done
 
@@ -61,7 +65,7 @@
 	i=0
 	while (( i < NUM_FILE )); do
 		f=$(getitem $i $initfiles)
-		ff=$(usr_exec $FIND $INI_DIR -type f -name ${f##*/} \
+		ff=$(usr_exec find $INI_DIR -type f -name ${f##*/} \
 			-xattr -print)
 		if [[ $ff == $f ]]; then
 			log_fail "find not containing attribute should fail."
@@ -69,8 +73,8 @@
 
 		typeset -i j=0
 		while (( j < NUM_ATTR )); do
-			fa=$(usr_exec $FIND $INI_DIR -type f -name ${f##*/} \
-				-xattr -exec $RUNAT {} $LS attribute.$j \\\;)
+			fa=$(usr_exec find $INI_DIR -type f -name ${f##*/} \
+				-xattr -exec runat {} ls attribute.$j \\\;)
 			if [[ $fa == attribute.$j ]]; then
 				log_fail "find file attribute should fail."
 			fi
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_ls_001_pos.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_ls_001_pos.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -48,11 +52,11 @@
 
 	log_must create_files $TESTDIR
 
-	initfiles=$($LS -R $INI_DIR/*)
+	initfiles=$(ls -R $INI_DIR/*)
 	typeset -i i=0
 	while (( i < NUM_FILE )); do
 		f=$(getitem $i $initfiles)
-		ls_attr=$(usr_exec $LS -@ $f | $AWK '{print substr($1, 11, 1)}')
+		ls_attr=$(usr_exec ls -@ $f | awk '{print substr($1, 11, 1)}')
 		if [[ $ls_attr != "@" ]]; then
 			log_fail "ls -@ $f with attribute should success."
 		else
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_ls_002_neg.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_ls_002_neg.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -49,13 +53,13 @@
 
 	log_must create_files $TESTDIR
 
-	initfiles=$($LS -R $INI_DIR/*)
+	initfiles=$(ls -R $INI_DIR/*)
 	typeset -i i=0
 	while (( i < NUM_FILE )); do
 		f=$(getitem $i $initfiles)
-		log_must usr_exec $RUNAT $f $RM attribute*
+		log_must usr_exec runat $f rm attribute*
 
-		ls_attr=$(usr_exec $LS -l $f | $AWK '{print substr($1, 11, 1)}')
+		ls_attr=$(usr_exec ls -l $f | awk '{print substr($1, 11, 1)}')
 		if [[ $ls_attr == "@" ]]; then
 			log_fail "ls with attribute shouldn't success."
 		fi
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_mv_001_pos.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_mv_001_pos.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -55,7 +59,7 @@
 	log_must create_files $TESTDIR
 
 	log_must cksum_files $INI_DIR BEFORE_FCKSUM BEFORE_ACKSUM
-	log_must usr_exec $MV $INI_DIR/* $TST_DIR
+	log_must usr_exec mv $INI_DIR/* $TST_DIR
 	log_must cksum_files $TST_DIR AFTER_FCKSUM AFTER_ACKSUM
 
 	log_must compare_cksum BEFORE_FCKSUM AFTER_FCKSUM
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pack_001_pos.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pack_001_pos.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -58,9 +62,9 @@
 	log_must create_files $TESTDIR
 
 	log_must cksum_files $INI_DIR BEFORE_FCKSUM BEFORE_ACKSUM
-	log_must eval "usr_exec $PACK -f $INI_DIR/* > /dev/null 2>&1"
-	log_must usr_exec $MV $INI_DIR/* $TST_DIR
-	log_must eval "usr_exec $UNPACK $TST_DIR/* > /dev/null 2>&1"
+	log_must eval "usr_exec pack -f $INI_DIR/* > /dev/null 2>&1"
+	log_must usr_exec mv $INI_DIR/* $TST_DIR
+	log_must eval "usr_exec unpack $TST_DIR/* > /dev/null 2>&1"
 	log_must cksum_files $TST_DIR AFTER_FCKSUM AFTER_ACKSUM
 
 	log_must compare_cksum BEFORE_FCKSUM AFTER_FCKSUM
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_001_pos.ksh	Wed Aug 31 16:20:24 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_001_pos.ksh	Wed Aug 31 16:20:24 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -50,20 +54,20 @@
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
 
-	[[ ! -d $INI_DIR ]] && log_must usr_exec $MKDIR -m 777 -p $INI_DIR
-	log_must usr_exec $MKTREE -b $INI_DIR -l 6 -d 2 -f 2
+	[[ ! -d $INI_DIR ]] && log_must usr_exec mkdir -m 777 -p $INI_DIR
+	log_must usr_exec mktree -b $INI_DIR -l 6 -d 2 -f 2
 
 	#
 	# Enter into initial directory and record all directory information,
 	# then pax all the files to $TMP_DIR/files.pax.
 	#
-	[[ ! -d $TMP_DIR ]] && log_must usr_exec $MKDIR $TMP_DIR
+	[[ ! -d $TMP_DIR ]] && log_must usr_exec mkdir $TMP_DIR
 	initout=$TMP_DIR/initout.$$
 	paxout=$TMP_DIR/files.pax
 
 	cd $INI_DIR
 	log_must eval "record_cksum $INI_DIR $initout > /dev/null 2>&1"
-	log_must eval "usr_exec $PAX -w -@ -f $paxout * > /dev/null 2>&1"
+	log_must eval "usr_exec pax -w -@ -f $paxout * > /dev/null 2>&1"
 
 	#
 	# Enter into test directory and pax $TMP_DIR/files.pax to current
@@ -70,13 +74,13 @@
 	# directory. Record all directory information and compare with initial
 	# directory record.
 	#
-	[[ ! -d $TST_DIR ]] && log_must usr_exec $MKDIR -m 777 $TST_DIR
+	[[ ! -d $TST_DIR ]] && log_must usr_exec mkdir -m 777 $TST_DIR
 	testout=$TMP_DIR/testout.$$
 	cd $TST_DIR
-	log_must eval "usr_exec $PAX -r -@ -f $paxout > /dev/null 2>&1"
+	log_must eval "usr_exec pax -r -@ -f $paxout > /dev/null 2>&1"
 	log_must eval "record_cksum $TST_DIR $testout > /dev/null 2>&1"
 
-	log_must usr_exec $DIFF $initout $testout
+	log_must usr_exec diff $initout $testout
 
 	log_must cleanup
 done
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_002_pos.ksh	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_002_pos.ksh	Wed Aug 31 16:20:25 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -50,19 +54,19 @@
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
 
-	[[ ! -d $INI_DIR ]] && log_must usr_exec $MKDIR -m 777 $INI_DIR
-	log_must usr_exec $MKTREE -b $INI_DIR -l 6 -d 2 -f 2
+	[[ ! -d $INI_DIR ]] && log_must usr_exec mkdir -m 777 $INI_DIR
+	log_must usr_exec mktree -b $INI_DIR -l 6 -d 2 -f 2
 
 	#
 	# Enter into initial directory and record all directory information,
 	# then pax all the files to $TMP_DIR/files.pax.
 	#
-	[[ ! -d $TMP_DIR ]] && log_must usr_exec $MKDIR -m 777 $TMP_DIR
+	[[ ! -d $TMP_DIR ]] && log_must usr_exec mkdir -m 777 $TMP_DIR
 	initout=$TMP_DIR/initout.$$
 	paxout=$TMP_DIR/files.tar
 	cd $INI_DIR
 	log_must eval "record_cksum $INI_DIR $initout > /dev/null 2>&1"
-	log_must eval "usr_exec $PAX -w -x ustar -@ -f $paxout *>/dev/null 2>&1"
+	log_must eval "usr_exec pax -w -x ustar -@ -f $paxout *>/dev/null 2>&1"
 
 	#
 	# Enter into test directory and tar $TMP_DIR/files.pax to current
@@ -69,13 +73,13 @@
 	# directory. Record all directory information and compare with initial
 	# directory record.
 	#
-	[[ ! -d $TST_DIR ]] && log_must usr_exec $MKDIR -m 777 $TST_DIR
+	[[ ! -d $TST_DIR ]] && log_must usr_exec mkdir -m 777 $TST_DIR
 	testout=$TMP_DIR/testout.$$
 	cd $TST_DIR
-	log_must eval "usr_exec $TAR xpf@ $paxout > /dev/null 2>&1"
+	log_must eval "usr_exec tar xpf@ $paxout > /dev/null 2>&1"
 	log_must eval "record_cksum $TST_DIR $testout > /dev/null 2>&1"
 
-	log_must usr_exec $DIFF $initout $testout
+	log_must usr_exec diff $initout $testout
 
 	log_must cleanup
 done
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_003_pos.ksh	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_003_pos.ksh	Wed Aug 31 16:20:25 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -50,14 +54,14 @@
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
 
-	[[ ! -d $INI_DIR ]] && log_must usr_exec $MKDIR -m 777 -p $INI_DIR
-	log_must usr_exec $MKTREE -b $INI_DIR -l 6 -d 2 -f 2
+	[[ ! -d $INI_DIR ]] && log_must usr_exec mkdir -m 777 -p $INI_DIR
+	log_must usr_exec mktree -b $INI_DIR -l 6 -d 2 -f 2
 
 	initout=$TMP_DIR/initout.$$
 	paxout=$TMP_DIR/files.cpio
 	cd $INI_DIR
 	log_must eval "record_cksum $INI_DIR $initout > /dev/null 2>&1"
-	log_must eval "usr_exec $PAX -w -x cpio -@ -f $paxout * >/dev/null 2>&1"
+	log_must eval "usr_exec pax -w -x cpio -@ -f $paxout * >/dev/null 2>&1"
 
 	#
 	# Enter into test directory and cpio $TMP_DIR/files.pax to current
@@ -64,13 +68,13 @@
 	# directory. Record all directory information and compare with initial
 	# directory record.
 	#
-	[[ ! -d $TST_DIR ]] && log_must usr_exec $MKDIR -m 777 $TST_DIR
+	[[ ! -d $TST_DIR ]] && log_must usr_exec mkdir -m 777 $TST_DIR
 	testout=$TMP_DIR/testout.$$
 	cd $TST_DIR
-	log_must eval "usr_exec $CPIO -ivd@ < $paxout" > /dev/null 2>&1
+	log_must eval "usr_exec cpio -ivd@ < $paxout" > /dev/null 2>&1
 	log_must eval "record_cksum $TST_DIR $testout > /dev/null 2>&1"
 
-	log_must usr_exec $DIFF $initout $testout
+	log_must usr_exec diff $initout $testout
 
 	log_must cleanup
 done
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_004_pos.ksh	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_004_pos.ksh	Wed Aug 31 16:20:25 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -64,7 +68,7 @@
 	paxout=$TMP_DIR/files.pax
 	cd $INI_DIR
 	log_must cksum_files $INI_DIR BEFORE_FCKSUM BEFORE_ACKSUM
-	log_must eval "usr_exec $PAX -w -@ -f $paxout * > /dev/null 2>&1"
+	log_must eval "usr_exec pax -w -@ -f $paxout * > /dev/null 2>&1"
 
 	#
 	# Enter into test directory and pax $TMP_DIR/files.pax to current
@@ -72,7 +76,7 @@
 	# directory record.
 	#
 	cd $TST_DIR
-	log_must eval "usr_exec $PAX -r -@ -f $paxout > /dev/null 2>&1"
+	log_must eval "usr_exec pax -r -@ -f $paxout > /dev/null 2>&1"
 	log_must cksum_files $TST_DIR AFTER_FCKSUM AFTER_ACKSUM
 
 	log_must compare_cksum BEFORE_FCKSUM AFTER_FCKSUM
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_005_pos.ksh	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_005_pos.ksh	Wed Aug 31 16:20:25 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -64,7 +68,7 @@
 	paxout=$TMP_DIR/files.cpio
 	cd $INI_DIR
 	log_must cksum_files $INI_DIR BEFORE_FCKSUM BEFORE_ACKSUM
-	log_must eval "usr_exec $PAX -w -x cpio -@ -f $paxout * >/dev/null 2>&1"
+	log_must eval "usr_exec pax -w -x cpio -@ -f $paxout * >/dev/null 2>&1"
 
 	#
 	# Enter into test directory and pax $TMP_DIR/files.cpio to current
@@ -72,14 +76,14 @@
 	# directory record.
 	#
 	cd $TST_DIR
-	log_must eval "usr_exec $PAX -r -x cpio -@ -f $paxout > /dev/null 2>&1"
+	log_must eval "usr_exec pax -r -x cpio -@ -f $paxout > /dev/null 2>&1"
 	log_must cksum_files $TST_DIR AFTER_FCKSUM AFTER_ACKSUM
 
 	log_must compare_cksum BEFORE_FCKSUM AFTER_FCKSUM
 	log_must compare_cksum BEFORE_ACKSUM AFTER_ACKSUM
 
-	log_must usr_exec $RM -rf *
-	log_must eval "usr_exec $CPIO -iv@ < $paxout > /dev/null 2>&1"
+	log_must usr_exec rm -rf *
+	log_must eval "usr_exec cpio -iv@ < $paxout > /dev/null 2>&1"
 	log_must cksum_files $TST_DIR AFTER_FCKSUM AFTER_ACKSUM
 
 	log_must compare_cksum BEFORE_FCKSUM AFTER_FCKSUM
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_006_pos.ksh	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_pax_006_pos.ksh	Wed Aug 31 16:20:25 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -64,7 +68,7 @@
 	paxout=$TMP_DIR/files.tar
 	cd $INI_DIR
 	log_must cksum_files $INI_DIR BEFORE_FCKSUM BEFORE_ACKSUM
-	log_must eval "usr_exec $PAX -w -x ustar -@ -f $paxout *>/dev/null 2>&1"
+	log_must eval "usr_exec pax -w -x ustar -@ -f $paxout *>/dev/null 2>&1"
 
 	#
 	# Enter into test directory and pax $TMP_DIR/files.tar to current
@@ -72,14 +76,14 @@
 	# directory record.
 	#
 	cd $TST_DIR
-	log_must eval "usr_exec $PAX -r -x ustar -@ -f $paxout > /dev/null 2>&1"
+	log_must eval "usr_exec pax -r -x ustar -@ -f $paxout > /dev/null 2>&1"
 	log_must cksum_files $TST_DIR AFTER_FCKSUM AFTER_ACKSUM
 
 	log_must compare_cksum BEFORE_FCKSUM AFTER_FCKSUM
 	log_must compare_cksum BEFORE_ACKSUM AFTER_ACKSUM
 
-	log_must usr_exec $RM -rf *
-	log_must usr_exec $TAR xf@ $paxout
+	log_must usr_exec rm -rf *
+	log_must usr_exec tar xf@ $paxout
 	log_must cksum_files $TST_DIR AFTER_FCKSUM AFTER_ACKSUM
 
 	log_must compare_cksum BEFORE_FCKSUM AFTER_FCKSUM
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_tar_001_pos.ksh	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_tar_001_pos.ksh	Wed Aug 31 16:20:25 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -49,19 +53,19 @@
 for user in root $ZFS_ACL_STAFF1; do
 	log_must set_cur_usr $user
 
-	[[ ! -d $INI_DIR ]] && $MKDIR -m 777 -p $INI_DIR
-	log_must usr_exec $MKTREE -b $INI_DIR -l 5 -d 2 -f 2
+	[[ ! -d $INI_DIR ]] && mkdir -m 777 -p $INI_DIR
+	log_must usr_exec mktree -b $INI_DIR -l 5 -d 2 -f 2
 
 	#
 	# Enter into initial directory and record all directory information,
 	# then tar all the files to $TMP_DIR/files.tar.
 	#
-	[[ ! -d $TMP_DIR ]] && usr_exec $MKDIR $TMP_DIR
+	[[ ! -d $TMP_DIR ]] && usr_exec mkdir $TMP_DIR
 	initout=$TMP_DIR/initout.$$
 	tarout=$TMP_DIR/files.tar
 	cd $INI_DIR
 	log_must record_cksum $INI_DIR $initout
-	log_must usr_exec $TAR cpf@ $tarout *
+	log_must usr_exec tar cpf@ $tarout *
 
 	#
 	# Enter into test directory and tar $TMP_DIR/files.tar to current
@@ -68,13 +72,13 @@
 	# directory. Record all directory information and compare with initial
 	# directory record.
 	#
-	[[ ! -d $TST_DIR ]] && $MKDIR -m 777 $TST_DIR
+	[[ ! -d $TST_DIR ]] && mkdir -m 777 $TST_DIR
 	testout=$TMP_DIR/testout.$$
 	cd $TST_DIR
-	log_must usr_exec $TAR xpf@ $tarout
+	log_must usr_exec tar xpf@ $tarout
 	log_must record_cksum $TST_DIR $testout
 
-	log_must usr_exec $DIFF $initout $testout
+	log_must usr_exec diff $initout $testout
 
 	log_must cleanup
 done
--- old/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_tar_002_neg.ksh	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/acl/trivial/zfs_acl_tar_002_neg.ksh	Wed Aug 31 16:20:25 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/acl/acl_common.kshlib
 
 #
@@ -64,7 +68,7 @@
 	tarout=$TMP_DIR/files.tar
 	cd $INI_DIR
 	log_must cksum_files $INI_DIR BEFORE_FCKSUM BEFORE_ACKSUM
-	log_must usr_exec $TAR cpf $tarout *
+	log_must usr_exec tar cpf $tarout *
 
 	#
 	# Enter into test directory and tar $TMP_DIR/files.tar to current
@@ -72,14 +76,14 @@
 	# directory record.
 	#
 	cd $TST_DIR
-	log_must usr_exec $CP $tarout $TST_DIR
-	log_must usr_exec $TAR xpf $tarout
+	log_must usr_exec cp $tarout $TST_DIR
+	log_must usr_exec tar xpf $tarout
 
-	testfiles=$($LS -R $TST_DIR/*)
+	testfiles=$(ls -R $TST_DIR/*)
 	typeset -i i=0
 	while (( i < NUM_FILE )); do
 		f=$(getitem $i $testfiles)
-		ls_attr=$($LS -@ $f | $AWK '{print substr($1, 11, 1)}')
+		ls_attr=$(ls -@ $f | awk '{print substr($1, 11, 1)}')
 		if [[ $ls_attr == "@" ]]; then
 			log_fail "extraction of attribute successful w/ -@ flag"
 		fi
--- old/usr/src/test/zfs-tests/tests/functional/atime/atime_001_pos.ksh	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/atime/atime_001_pos.ksh	Wed Aug 31 16:20:25 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/atime/atime_common.kshlib
 
 #
@@ -58,7 +62,7 @@
 		mtpt=$(snapshot_mountpoint $dst)
 		log_mustnot check_atime_updated $mtpt/$TESTFILE
 	else
-		log_must $ZFS set atime=on $dst
+		log_must zfs set atime=on $dst
 		log_must check_atime_updated $mtpt/$TESTFILE
 	fi
 done
--- old/usr/src/test/zfs-tests/tests/functional/atime/atime_002_neg.ksh	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/atime/atime_002_neg.ksh	Wed Aug 31 16:20:25 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/atime/atime_common.kshlib
 
 #
@@ -58,7 +62,7 @@
 	if [[ $dst == $TESTPOOL/$TESTFS@$TESTSNAP ]]; then
 		mtpt=$(snapshot_mountpoint $dst)
 	else
-		log_must $ZFS set atime=off $dst
+		log_must zfs set atime=off $dst
 	fi
 
 	log_mustnot check_atime_updated $mtpt/$TESTFILE
--- old/usr/src/test/zfs-tests/tests/functional/atime/atime_common.kshlib	Wed Aug 31 16:20:25 2016
+++ new/usr/src/test/zfs-tests/tests/functional/atime/atime_common.kshlib	Wed Aug 31 16:20:25 2016
@@ -24,6 +24,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/tests/functional/atime/atime.cfg
 . $STF_SUITE/include/libtest.shlib
 
@@ -40,9 +44,9 @@
 {
 	typeset filename=$1
 
-	typeset before=$($LS -Eu $filename | $AWK '{print $7}')
-	log_must $CAT $filename
-	typeset after=$($LS -Eu $filename | $AWK '{print $7}')
+	typeset before=$(ls -Eu $filename | awk '{print $7}')
+	log_must cat $filename
+	typeset after=$(ls -Eu $filename | awk '{print $7}')
 
 	if [[ $before != $after ]]; then
 		return 0
@@ -54,7 +58,7 @@
 function setup_snap_clone
 {
 	# Create two file to verify snapshot.
-	log_must $TOUCH $TESTDIR/$TESTFILE
+	log_must touch $TESTDIR/$TESTFILE
 
 	create_snapshot $TESTPOOL/$TESTFS $TESTSNAP
 	create_clone $TESTPOOL/$TESTFS@$TESTSNAP $TESTPOOL/$TESTCLONE
--- old/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_001_pos.ksh	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_001_pos.ksh	Wed Aug 31 16:20:26 2016
@@ -28,7 +28,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,15 +47,15 @@
 
 function cleanup {
 	if poolexists $TESTPOOL ; then
-		log_must $ZPOOL destroy $TESTPOOL
+		log_must zpool destroy $TESTPOOL
 	fi
 
 	if [[ -f $VDEV ]]; then
-		log_must $RM -f $VDEV
+		log_must rm -f $VDEV
 	fi
 }
 
-$ZPOOL set 2>&1 | $GREP bootfs > /dev/null
+zpool set 2>&1 | grep bootfs > /dev/null
 if [ $? -ne 0 ]
 then
         log_unsupported "bootfs pool property not supported on this release."
@@ -66,17 +66,17 @@
 
 typeset VDEV=/bootfs_001_pos_a.$$.dat
 
-log_must $MKFILE $MINVDEVSIZE $VDEV
+log_must mkfile $MINVDEVSIZE $VDEV
 create_pool "$TESTPOOL" "$VDEV"
-log_must $ZFS create $TESTPOOL/$TESTFS
+log_must zfs create $TESTPOOL/$TESTFS
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@snap
-log_must $ZFS clone $TESTPOOL/$TESTFS@snap $TESTPOOL/clone
+log_must zfs snapshot $TESTPOOL/$TESTFS@snap
+log_must zfs clone $TESTPOOL/$TESTFS@snap $TESTPOOL/clone
 
-log_must $ZPOOL set bootfs=$TESTPOOL/$TESTFS $TESTPOOL
-log_must $ZPOOL set bootfs=$TESTPOOL/$TESTFS@snap $TESTPOOL
-log_must $ZPOOL set bootfs=$TESTPOOL/clone $TESTPOOL
+log_must zpool set bootfs=$TESTPOOL/$TESTFS $TESTPOOL
+log_must zpool set bootfs=$TESTPOOL/$TESTFS@snap $TESTPOOL
+log_must zpool set bootfs=$TESTPOOL/clone $TESTPOOL
 
-log_must $ZFS promote $TESTPOOL/clone
-log_must $ZPOOL set bootfs=$TESTPOOL/clone $TESTPOOL
+log_must zfs promote $TESTPOOL/clone
+log_must zpool set bootfs=$TESTPOOL/clone $TESTPOOL
 log_pass "Valid datasets are accepted as bootfs property values"
--- old/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_002_neg.ksh	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_002_neg.ksh	Wed Aug 31 16:20:26 2016
@@ -28,7 +28,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,19 +49,19 @@
 function cleanup {
 	if datasetexists $TESTPOOL/vol
 	then
-		log_must $ZFS destroy $TESTPOOL/vol
+		log_must zfs destroy $TESTPOOL/vol
 	fi
 	if poolexists $TESTPOOL
 	then
-		log_must $ZPOOL destroy $TESTPOOL
+		log_must zpool destroy $TESTPOOL
 	fi
 	if [[ -f $VDEV ]]; then
-		log_must $RM -f $VDEV
+		log_must rm -f $VDEV
 	fi
 }
 
 
-$ZPOOL set 2>&1 | $GREP bootfs > /dev/null
+zpool set 2>&1 | grep bootfs > /dev/null
 if [ $? -ne 0 ]
 then
 	log_unsupported "bootfs pool property not supported on this release."
@@ -72,10 +72,10 @@
 
 typeset VDEV=/bootfs_002_neg_a.$$.dat
 
-log_must $MKFILE 400m $VDEV
+log_must mkfile 400m $VDEV
 create_pool "$TESTPOOL" "$VDEV"
-log_must $ZFS create -V 10m $TESTPOOL/vol
+log_must zfs create -V 10m $TESTPOOL/vol
 
-log_mustnot $ZPOOL set bootfs=$TESTPOOL/vol $TESTPOOL
+log_mustnot zpool set bootfs=$TESTPOOL/vol $TESTPOOL
 
 log_pass "Invalid datasets are rejected as boot property values"
--- old/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_003_pos.ksh	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_003_pos.ksh	Wed Aug 31 16:20:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,13 +48,13 @@
 
 function cleanup {
 	if poolexists $POOL ; then
-		log_must $ZPOOL destroy $POOL
+		log_must zpool destroy $POOL
 	fi
-	$RM /bootfs_003.$$.dat
+	rm /bootfs_003.$$.dat
 }
 
 
-$ZPOOL set 2>&1 | $GREP bootfs > /dev/null
+zpool set 2>&1 | grep bootfs > /dev/null
 if [ $? -ne 0 ]
 then
         log_unsupported "bootfs pool property not supported on this release."
@@ -63,7 +63,7 @@
 log_onexit cleanup
 
 log_assert "Valid pool names are accepted by zpool set bootfs"
-$MKFILE $MINVDEVSIZE /bootfs_003.$$.dat
+mkfile $MINVDEVSIZE /bootfs_003.$$.dat
 
 typeset -i i=0;
 
@@ -70,16 +70,16 @@
 while [ $i -lt "${#pools[@]}" ]
 do
 	POOL=${pools[$i]}
-	log_must $ZPOOL create $POOL /bootfs_003.$$.dat
-	log_must $ZFS create $POOL/$TESTFS
+	log_must zpool create $POOL /bootfs_003.$$.dat
+	log_must zfs create $POOL/$TESTFS
 
-	log_must $ZPOOL set bootfs=$POOL/$TESTFS $POOL
-	RES=$($ZPOOL get bootfs $POOL | $TAIL -1 | $AWK '{print $3}' )
+	log_must zpool set bootfs=$POOL/$TESTFS $POOL
+	RES=$(zpool get bootfs $POOL | tail -1 | awk '{print $3}' )
 	if [ $RES != "$POOL/$TESTFS" ]
 	then
 		log_fail "Expected $RES == $POOL/$TESTFS"
 	fi
-	log_must $ZPOOL destroy $POOL
+	log_must zpool destroy $POOL
 	i=$(( $i + 1 ))
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_004_neg.ksh	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_004_neg.ksh	Wed Aug 31 16:20:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -49,13 +49,13 @@
 
 function cleanup {
 	if poolexists $POOL; then
-		log_must $ZPOOL destroy $POOL
+		log_must zpool destroy $POOL
 	fi
-	$RM /bootfs_004.$$.dat
+	rm /bootfs_004.$$.dat
 }
 
 
-$ZPOOL set 2>&1 | $GREP bootfs > /dev/null
+zpool set 2>&1 | grep bootfs > /dev/null
 if [ $? -ne 0 ]
 then
         log_unsupported "bootfs pool property not supported on this release."
@@ -78,7 +78,7 @@
 
 
 
-$MKFILE $MINVDEVSIZE /bootfs_004.$$.dat
+mkfile $MINVDEVSIZE /bootfs_004.$$.dat
 
 typeset -i i=0;
 
@@ -85,9 +85,9 @@
 while [ $i -lt "${#pools[@]}" ]
 do
 	POOL=${pools[$i]}/$TESTFS
-	log_mustnot $ZPOOL create $POOL /bootfs_004.$$.dat
-	log_mustnot $ZFS create $POOL/$TESTFS
-	log_mustnot $ZPOOL set bootfs=$POOL/$TESTFS $POOL
+	log_mustnot zpool create $POOL /bootfs_004.$$.dat
+	log_mustnot zfs create $POOL/$TESTFS
+	log_mustnot zpool set bootfs=$POOL/$TESTFS $POOL
 
 	i=$(( $i + 1 ))
 done
--- old/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_005_neg.ksh	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_005_neg.ksh	Wed Aug 31 16:20:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -52,14 +52,14 @@
 	#
 	typeset pool_name
 	for config in $CONFIGS; do
-		pool_name=$(eval $ECHO \$ZPOOL_VERSION_${config}_NAME)
+		pool_name=$(eval echo \$ZPOOL_VERSION_${config}_NAME)
 		if poolexists $pool_name; then
-			log_must $ZPOOL destroy $pool_name
+			log_must zpool destroy $pool_name
 		fi
 	done
 
 	if poolexists $TESTPOOL ; then
-		log_must $ZPOOL destroy $TESTPOOL
+		log_must zpool destroy $TESTPOOL
 	fi
 }
 
@@ -69,14 +69,14 @@
 CONFIGS="1 2 3"
 
 log_onexit cleanup
-log_must $ZPOOL create -f $TESTPOOL $DISKS
+log_must zpool create -f $TESTPOOL $DISKS
 
 for config in $CONFIGS
 do
 	create_old_pool $config
-	POOL_NAME=$(eval $ECHO \$ZPOOL_VERSION_${config}_NAME)
-	log_must $ZFS create $POOL_NAME/$TESTFS
-	log_mustnot $ZPOOL set bootfs=$POOL_NAME/$TESTFS $POOL_NAME
+	POOL_NAME=$(eval echo \$ZPOOL_VERSION_${config}_NAME)
+	log_must zfs create $POOL_NAME/$TESTFS
+	log_mustnot zpool set bootfs=$POOL_NAME/$TESTFS $POOL_NAME
 	log_must destroy_upgraded_pool $config
 done
 
--- old/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_006_pos.ksh	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_006_pos.ksh	Wed Aug 31 16:20:26 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -44,7 +44,7 @@
 verify_runnable "global"
 
 
-$ZPOOL set 2>&1 | $GREP bootfs > /dev/null
+zpool set 2>&1 | grep bootfs > /dev/null
 if [ $? -ne 0 ]
 then
 	log_unsupported "bootfs pool property not supported on this release."
@@ -57,38 +57,38 @@
 
 function verify_bootfs { # $POOL
 	POOL=$1
-	log_must $ZFS create $POOL/$TESTFS
+	log_must zfs create $POOL/$TESTFS
 
-	log_must $ZPOOL set bootfs=$POOL/$TESTFS $POOL
-	VAL=$($ZPOOL get bootfs $POOL | $TAIL -1 | $AWK '{print $3}' )
+	log_must zpool set bootfs=$POOL/$TESTFS $POOL
+	VAL=$(zpool get bootfs $POOL | tail -1 | awk '{print $3}' )
 	if [ $VAL != "$POOL/$TESTFS" ]
 	then
-		log_must $ZPOOL status -v $POOL
+		log_must zpool status -v $POOL
 		log_fail \
 		    "set/get failed on $POOL - expected $VAL == $POOL/$TESTFS"
 	fi
-	log_must $ZPOOL destroy $POOL
+	log_must zpool destroy $POOL
 }
 
 function verify_no_bootfs { # $POOL
 	POOL=$1
-	log_must $ZFS create $POOL/$TESTFS
-	log_mustnot $ZPOOL set bootfs=$POOL/$TESTFS $POOL
-	VAL=$($ZPOOL get bootfs $POOL | $TAIL -1 | $AWK '{print $3}' )
+	log_must zfs create $POOL/$TESTFS
+	log_mustnot zpool set bootfs=$POOL/$TESTFS $POOL
+	VAL=$(zpool get bootfs $POOL | tail -1 | awk '{print $3}' )
 	if [ $VAL == "$POOL/$TESTFS" ]
 	then
-		log_must $ZPOOL status -v $POOL
+		log_must zpool status -v $POOL
 		log_fail "set/get unexpectedly failed $VAL != $POOL/$TESTFS"
 	fi
-	log_must $ZPOOL destroy $POOL
+	log_must zpool destroy $POOL
 }
 
 function cleanup {
 	if poolexists $TESTPOOL
 	then
-		log_must $ZPOOL destroy $TESTPOOL
+		log_must zpool destroy $TESTPOOL
 	fi
-	log_must $RM $VDEV1 $VDEV2 $VDEV3 $VDEV4
+	log_must rm $VDEV1 $VDEV2 $VDEV3 $VDEV4
 }
 
 log_assert "Pools of correct vdev types accept boot property"
@@ -96,51 +96,51 @@
 
 
 log_onexit cleanup
-log_must $MKFILE $MINVDEVSIZE $VDEV1 $VDEV2 $VDEV3 $VDEV4
+log_must mkfile $MINVDEVSIZE $VDEV1 $VDEV2 $VDEV3 $VDEV4
 
 
 ## the following configurations are supported bootable pools
 
 # normal
-log_must $ZPOOL create $TESTPOOL $VDEV1
+log_must zpool create $TESTPOOL $VDEV1
 verify_bootfs $TESTPOOL
 
 # normal + hotspare
-log_must $ZPOOL create $TESTPOOL $VDEV1 spare $VDEV2
+log_must zpool create $TESTPOOL $VDEV1 spare $VDEV2
 verify_bootfs $TESTPOOL
 
 # mirror
-log_must $ZPOOL create $TESTPOOL mirror $VDEV1 $VDEV2
+log_must zpool create $TESTPOOL mirror $VDEV1 $VDEV2
 verify_bootfs $TESTPOOL
 
 # mirror + hotspare
-log_must $ZPOOL create $TESTPOOL mirror $VDEV1 $VDEV2 spare $VDEV3
+log_must zpool create $TESTPOOL mirror $VDEV1 $VDEV2 spare $VDEV3
 verify_bootfs $TESTPOOL
 
 ## the following configurations are not supported as bootable pools
 
 # stripe
-log_must $ZPOOL create $TESTPOOL $VDEV1 $VDEV2
+log_must zpool create $TESTPOOL $VDEV1 $VDEV2
 verify_no_bootfs $TESTPOOL
 
 # stripe + hotspare
-log_must $ZPOOL create $TESTPOOL $VDEV1 $VDEV2 spare $VDEV3
+log_must zpool create $TESTPOOL $VDEV1 $VDEV2 spare $VDEV3
 verify_no_bootfs $TESTPOOL
 
 # raidz
-log_must $ZPOOL create $TESTPOOL raidz $VDEV1 $VDEV2
+log_must zpool create $TESTPOOL raidz $VDEV1 $VDEV2
 verify_no_bootfs $TESTPOOL
 
 # raidz + hotspare
-log_must $ZPOOL create $TESTPOOL raidz $VDEV1 $VDEV2 spare $VDEV3
+log_must zpool create $TESTPOOL raidz $VDEV1 $VDEV2 spare $VDEV3
 verify_no_bootfs $TESTPOOL
 
 # raidz2
-log_must $ZPOOL create $TESTPOOL raidz2 $VDEV1 $VDEV2 $VDEV3
+log_must zpool create $TESTPOOL raidz2 $VDEV1 $VDEV2 $VDEV3
 verify_no_bootfs $TESTPOOL
 
 # raidz2 + hotspare
-log_must $ZPOOL create $TESTPOOL raidz2 $VDEV1 $VDEV2 $VDEV3 spare $VDEV4
+log_must zpool create $TESTPOOL raidz2 $VDEV1 $VDEV2 $VDEV3 spare $VDEV4
 verify_no_bootfs $TESTPOOL
 
 log_pass "Pools of correct vdev types accept boot property"
--- old/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_007_pos.ksh	Wed Aug 31 16:20:26 2016
+++ new/usr/src/test/zfs-tests/tests/functional/bootfs/bootfs_007_pos.ksh	Wed Aug 31 16:20:26 2016
@@ -27,6 +27,10 @@
 # Copyright 2015 Nexenta Systems, Inc.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -58,8 +62,8 @@
 
 log_assert $assert_mesg
 create_pool "$TESTPOOL" "$DISK"
-log_must $ZFS create $EFI_BOOTFS
+log_must zfs create $EFI_BOOTFS
 
-log_must $ZPOOL set bootfs=$EFI_BOOTFS $TESTPOOL
+log_must zpool set bootfs=$EFI_BOOTFS $TESTPOOL
 
 log_pass $assert_mesg
